<?php

	if( ! defined( 'ABSPATH' )) exit;

	// Add Submenu Page Extensions WordPress
	function register_testimonial_extension_list(){
		add_submenu_page( 'edit.php?post_type=ktsprotype', __( 'Extensions', 'ktsttestimonial' ), sprintf( '<span style="color:#ddd;">%s</span>', __( 'Extensions', 'ktsttestimonial' ) ), 'manage_options', 'team-extension-layout', 'themepoints_testimonial_extensions_page_layouts' );
	}
	add_action( 'admin_menu', 'register_testimonial_extension_list' );


	// List Extensions
	function themepoints_testimonial_register_extensions() {
		$extension = array(
			'themepoints-extension-list-1' => array(
				'name' => __( 'Team Showcase Pro', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/team-showcase-pro/',
			),
			'themepoints-extension-list-2' => array(
				'name' => __( 'Post Slider Pro', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/post-slider-pro/',
			),
			'themepoints-extension-list-3' => array(
				'name' => __( 'Service Box Pro', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/service-box-pro/',
			),
			'themepoints-extension-list-4' => array(
				'name' => __( 'Super Testimonial Pro', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/super-testimonial-pro/',
			),
			'themepoints-extension-list-5' => array(
				'name' => __( 'Logo Showcase Pro', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/logo-showcase-pro/',
			),
			'themepoints-extension-list-6' => array(
				'name' => __( 'Tabs Ultimate Pro', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/tabs-ultimate-shortcodes/',
			),
			'themepoints-extension-list-7' => array(
				'name' => __( 'Wp Accordions Pro', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/wp-accordions-pro/',
			),
			'themepoints-extension-list-8' => array(
				'name' => __( 'Philips Blog Theme', 'ktsttestimonial' ),
				'url' => 'https://www.themepoints.com/product/multipurpose-wordpress-theme/',
			),
		);

		return $extension;
	}
	add_filter( 'extensions', 'themepoints_testimonial_register_extensions' );

	// Submenu Page Callback Function
	function themepoints_testimonial_extensions_page_layouts (){ 

		$extensions_list = apply_filters( 'extensions', [] );

		?>
		<div class="wrap">
			<h1>
				<?php echo get_admin_page_title() ?>
				<span class="title-count theme-count"><?php echo count( $extensions_list ); ?></span>
			</h1>
			<br>
			<div class="extension-list">
				<?php foreach( $extensions_list as $slug => $info ) : ?>
					<div class="extension-single-list">
						<h2 class="extension-name" id="<?php echo esc_attr( $slug ) ?>"><span><?php echo esc_attr( $info['name'] ) ?></span></h2>
						<div class="extension-actions">
							<a class="button button-primary" target="_blank" href="<?php echo esc_url( $info['url'] ) ?>"><?php _e( 'Get It Now!', 'ktsttestimonial' ); ?></a>
						</div>
					</div>
				<?php endforeach; ?>
			</div>
		</div>
	<?php
	}